Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit perl-ExtUtils-Depends for openSUSE:Factory
Hello community,

here is the log from the commit of package perl-ExtUtils-Depends for
openSUSE:Factory checked in at 2019-04-12 09:13:55
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/perl-ExtUtils-Depends (Old)
and /work/SRC/openSUSE:Factory/.perl-ExtUtils-Depends.new.27019 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "perl-ExtUtils-Depends"

Fri Apr 12 09:13:55 2019 rev:29 rq:692957 version:0.8000

Changes:
--------
---
/work/SRC/openSUSE:Factory/perl-ExtUtils-Depends/perl-ExtUtils-Depends.changes
2015-12-09 22:27:34.000000000 +0100
+++
/work/SRC/openSUSE:Factory/.perl-ExtUtils-Depends.new.27019/perl-ExtUtils-Depends.changes
2019-04-12 09:13:58.189660450 +0200
@@ -1,0 +2,11 @@
+Wed Apr 10 05:05:56 UTC 2019 - Stephan Kulow <coolo@xxxxxxxx>
+
+- updated to 0.8000
+ see /usr/share/doc/packages/perl-ExtUtils-Depends/Changes
+
+ 0.8000
+ - Bump version so https://metacpan.org/pod/ExtUtils::Depends shows the
+ correct _ExtUtils::Depends_ module
+ - Quote directories with spaces
+
+-------------------------------------------------------------------

Old:
----
ExtUtils-Depends-0.405.tar.gz

New:
----
ExtUtils-Depends-0.8000.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ perl-ExtUtils-Depends.spec ++++++
--- /var/tmp/diff_new_pack.XkJY27/_old 2019-04-12 09:13:58.725660766 +0200
+++ /var/tmp/diff_new_pack.XkJY27/_new 2019-04-12 09:13:58.725660766 +0200
@@ -1,7 +1,7 @@
#
# spec file for package perl-ExtUtils-Depends
#
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -12,19 +12,19 @@
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name: perl-ExtUtils-Depends
-Version: 0.405
+Version: 0.8000
Release: 0
%define cpan_name ExtUtils-Depends
Summary: Easily build XS extensions that depend on XS extensions
-License: Artistic-1.0 or GPL-1.0+
+License: Artistic-1.0 OR GPL-1.0-or-later
Group: Development/Libraries/Perl
-Url: http://search.cpan.org/dist/ExtUtils-Depends/
-Source0:
http://www.cpan.org/authors/id/X/XA/XAOC/%{cpan_name}-%{version}.tar.gz
+Url: https://metacpan.org/release/%{cpan_name}
+Source0:
https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{cpan_name}-%{version}.tar.gz
Source1: cpanspec.yml
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
@@ -97,11 +97,11 @@
%setup -q -n %{cpan_name}-%{version}

%build
-%{__perl} Makefile.PL INSTALLDIRS=vendor
-%{__make} %{?_smp_mflags}
+perl Makefile.PL INSTALLDIRS=vendor
+make %{?_smp_mflags}

%check
-%{__make} test
+make test

%install
%perl_make_install

++++++ ExtUtils-Depends-0.405.tar.gz -> ExtUtils-Depends-0.8000.tar.gz ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/ExtUtils-Depends-0.405/Changes
new/ExtUtils-Depends-0.8000/Changes
--- old/ExtUtils-Depends-0.405/Changes 2015-11-30 16:50:25.000000000 +0100
+++ new/ExtUtils-Depends-0.8000/Changes 2019-04-09 17:12:15.000000000 +0200
@@ -1,5 +1,10 @@
Revision history for Perl extension ExtUtils::Depends.

+0.8000
+ - Bump version so https://metacpan.org/pod/ExtUtils::Depends shows the
+ correct _ExtUtils::Depends_ module
+ - Quote directories with spaces
+
0.405
- Remove MYMETA.* from MANIFEST file; closes autogenerated RT ticket
#108554
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/ExtUtils-Depends-0.405/META.json
new/ExtUtils-Depends-0.8000/META.json
--- old/ExtUtils-Depends-0.405/META.json 2015-11-30 16:51:20.000000000
+0100
+++ new/ExtUtils-Depends-0.8000/META.json 2019-04-09 17:12:48.000000000
+0200
@@ -1,21 +1,23 @@
{
"abstract" : "unknown",
"author" : [
+ "unknown",
"Gtk2-Perl Team <gtk-perl-list at gnome dot org>"
],
"dynamic_config" : 1,
- "generated_by" : "ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter
version 2.150001",
+ "generated_by" : "ExtUtils::MakeMaker version 7.34, CPAN::Meta::Converter
version 2.150010",
"keywords" : [
"XS",
"XS extensions",
"dependency"
],
"license" : [
+ "perl_5",
"perl_5"
],
"meta-spec" : {
"url" : "http://search.cpan.org/perldoc?CPAN::Meta::Spec";,
- "version" : "2"
+ "version" : 2
},
"name" : "ExtUtils-Depends",
"no_index" : {
@@ -73,5 +75,6 @@
},
"x_MailingList" : "https://mail.gnome.org/mailman/listinfo/gtk-perl-list";
},
- "version" : "0.405"
+ "version" : "0.8000",
+ "x_serialization_backend" : "JSON::PP version 2.97001"
}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/ExtUtils-Depends-0.405/META.yml
new/ExtUtils-Depends-0.8000/META.yml
--- old/ExtUtils-Depends-0.405/META.yml 2015-11-30 16:51:20.000000000 +0100
+++ new/ExtUtils-Depends-0.8000/META.yml 2019-04-09 17:12:48.000000000
+0200
@@ -1,6 +1,7 @@
---
abstract: unknown
author:
+ - unknown
- 'Gtk2-Perl Team <gtk-perl-list at gnome dot org>'
build_requires:
ExtUtils::MakeMaker: '0'
@@ -11,12 +12,12 @@
File::Spec: '0'
IO::File: '0'
dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter version
2.150001'
+generated_by: 'ExtUtils::MakeMaker version 7.34, CPAN::Meta::Converter version
2.150010'
keywords:
- XS
- 'XS extensions'
- dependency
-license: perl
+license: open_source
meta-spec:
url: http://module-build.sourceforge.net/META-spec-v1.4.html
version: '1.4'
@@ -38,4 +39,5 @@
homepage: http://gtk2-perl.sourceforge.net
license: http://dev.perl.org/licenses/
repository: git://git.gnome.org/perl-ExtUtils-Depends
-version: '0.405'
+version: '0.8000'
+x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/ExtUtils-Depends-0.405/lib/ExtUtils/Depends.pm
new/ExtUtils-Depends-0.8000/lib/ExtUtils/Depends.pm
--- old/ExtUtils-Depends-0.405/lib/ExtUtils/Depends.pm 2015-11-30
16:47:58.000000000 +0100
+++ new/ExtUtils-Depends-0.8000/lib/ExtUtils/Depends.pm 2019-04-09
16:55:47.000000000 +0200
@@ -1,7 +1,3 @@
-#
-# $Id$
-#
-
package ExtUtils::Depends;

use strict;
@@ -12,7 +8,7 @@
use File::Spec;
use Data::Dumper;

-our $VERSION = '0.405';
+our $VERSION = '0.8000';

sub import {
my $class = shift;
@@ -223,12 +219,14 @@
{
instpath => $instpath,
typemaps => \@typemaps,
- inc => "-I$instpath $inc",
+ inc => "-I". _quote_if_space($instpath) ." $inc",
libs => $libs,
deps => \@deps,
}
}

+sub _quote_if_space { $_[0] =~ / / ? qq{"$_[0]"} : $_[0] }
+
sub load_deps {
my $self = shift;
my @load = grep { not $self->{deps}{$_} } keys %{ $self->{deps} };
@@ -366,7 +364,9 @@
}, map { -d $_ ? ($_) : () } @INC); # only extant dirs

if ($matching_file && -f $matching_file) {
- push @found_libs, ('-L' . $matching_dir, '-l' . $stem);
+ push @found_libs,
+ '-L' . _quote_if_space($matching_dir),
+ '-l' . $stem;
# Android's linker ignores the RTLD_GLOBAL flag
# and loads everything as if under RTLD_LOCAL.
# What this means in practice is that modules need

++++++ cpanspec.yml ++++++
--- /var/tmp/diff_new_pack.XkJY27/_old 2019-04-12 09:13:58.825660825 +0200
+++ /var/tmp/diff_new_pack.XkJY27/_new 2019-04-12 09:13:58.825660825 +0200
@@ -14,7 +14,7 @@
# sed -i -e "s,hunspell-X,$hunspell," t/00-prereq.t Makefile.PL
#post_install: |-
# sed on %{name}.files
-#license: SUSE-NonFree
+license: Artistic-1.0 or GPL-1.0-or-later
#skip_noarch: 1
#custom_build: |-
#./Build build flags=%{?_smp_mflags} --myflag


< Previous Next >
This Thread
  • No further messages